Skip to content

Profiles (Template) ​

55 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getOuiProfileListTemplateGETGet OUI profile template list
createOuiProfileTemplatePOSTCreate OUI profile template
deleteOuiProfileTemplateDELETEDelete OUI Profile template
modifyOuiProfileTemplatePUTModify OUI Profile template
getOuiProfileFullListTemplateGETGet OUI profile template summary list
createPPSKProfileTemplatePOSTCreate PPSK profile template
deletePPSKProfileTemplateDELETEDelete PPSK profile template
getPPSKProfileDetailTemplateGETGet PPSK profile template detail
modifyPPSKProfileTemplatePOSTModify PPSK profile template
autoCreatePPSKTemplatePOSTAuto Create PSK templates
deleteAllPPSKProfilesTemplateDELETEDelete All PPSK profile templates
getPPSKProfilesTemplateGETGet PPSK profile templates list
getApnProfileListTemplateGETGet APN profile template list
createApnProfileTemplatePOSTCreate a new APN profile template
deleteApnProfileTemplateDELETEDelete an exist APN profile template
modifyApnProfileTemplatePUTModify an exist APN profile template
listMdnsProfileTemplateGETGet Bonjour Service Template list
createMdnsProfileTemplatePOSTCreate new Bonjour Service Template
deleteMdnsProfileTemplateDELETEDelete an existing Bonjour Service Template
modifyMdnsProfileTemplatePUTModify an existing Bonjour Service Template
getGroupProfilesTemplateGETGet group profile template list
createGroupProfileTemplatePOSTCreate a new group profile template
getGroupProfilesByTypeTemplateGETGet group profile template list by type
deleteGroupProfileTemplateDELETEDelete an exist group profile template
modifyGroupProfileTemplatePATCHModify an exist group profile template
getLdapProfileListTemplateGETGet LDAP profile template list
createLdapProfileTemplatePOSTCreate a new LDAP profile template
deleteLdapProfileTemplateDELETEDelete an exist LDAP profile template
modifyLdapProfileTemplatePATCHModify an exist LDAP profile template
getRadiusProfileListTemplateGETGet RADIUS profile template list
createRadiusProfileTemplatePOSTCreate a new RADIUS profile template
getRadiusUserListTemplateGETGet Build-in RADIUS profile user template list
createRadiusUserTemplatePOSTCreate a new Build-in RADIUS profile user template
deleteRadiusUserTemplateDELETEDelete an exist Build-in RADIUS profile user template
modifyRadiusUserTemplatePATCHModify an exist Build-in RADIUS profile user template
deleteRadiusProfileTemplateDELETEDelete an exist RADIUS profile template
modifyRadiusProfileTemplatePATCHModify an exist RADIUS profile template
listTemplateServiceTypeGETGet siteTemplate's Gateway QoS Service list
createTemplateServiceTypePOSTCreate siteTemplate's new Gateway QoS Service
getTemplateServiceTypeSummaryGETGet all Gateway QoS Service's ID and name info in siteTemplate
deleteTemplateServiceTypeDELETEDelete an existing Gateway QoS Service in siteTemplate
modifyTemplateServiceTypePUTModify an existing Gateway QoS Service in siteTemplate
getWifiCallingProfilesTemplateGETGet wifi calling profile template list
createWifiCallingProfileTemplatePOSTCreate a new wifi calling profile template
deleteWifiCallingProfileTemplateDELETEDelete an exist wifi calling profile template
modifyWifiCallingProfileTemplatePATCHModify a wifi calling profile template
copyWifiCallingProfileTemplatePOSTCopy wifi calling profile template
deleteRateLimitProfileTemplateDELETEDelete rate limit profile template
modifyRateLimitProfileTemplatePUTModify rate limit profile template
getRateLimitProfileListTemplateGETGet rate limit profile template list
createRateLimitProfileTemplatePOSTCreate rate limit profile template
deleteTimeRangeProfileTemplateDELETEDelete time range profile template
modifyTimeRangeProfileTemplatePUTModify time range profile template
getTimeRangeListTemplateGETGet time range profile template list
createTimeRangeProfileTemplatePOSTCreate time range profile template

getOuiProfileListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/oui-profiles

Get OUI profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOuiProfileListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get OUI profile template list.(Pagination)
The interface requires one of the permissions:
Global Site Template Manager View Only

createOuiProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/oui-profiles

Create OUI profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema OuiProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesOUI Profile name should contain 1 to 64 characters.
ouiCombinearray<OUI and description.>noOUI and description
json
// omada_call_operation
{
  "operationId": "createOuiProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create OUI profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33781 - This OUI profile already exists.
-33782 - The number of OUIs has reached the limit.
-33784 - The OUI profile has duplicate OUIs.

deleteOuiProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/oui-profiles/{ouiId}

Delete OUI Profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ouiIdpathstringyesOUI ID
json
// omada_call_operation
{
  "operationId": "deleteOuiProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ouiId": "<ouiId>"
  }
}
Details, permissions and error codes

Delete OUI Profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-33780 - OUI Profile has been used in OUI based VLAN.
-34226 - OUI Profile has been used in Wireless MAC Filter.

modifyOuiProfileTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/oui-profiles/{ouiId}

Modify OUI Profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ouiIdpathstringyesOUI ID

Request body — application/json (required) — schema OuiProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesOUI Profile name should contain 1 to 64 characters.
ouiCombinearray<OUI and description.>noOUI and description
json
// omada_call_operation
{
  "operationId": "modifyOuiProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ouiId": "<ouiId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify OUI Profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-33781 - This OUI profile already exists.
-33782 - The number of OUIs has reached the limit.
-33782 - The number of OUIs has reached the limit.
-33784 - The OUI profile has duplicate OUIs.
-33784 - The OUI profile has duplicate OUIs.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.

getOuiProfileFullListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/oui-profiles/all

Get OUI profile template summary list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getOuiProfileFullListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get OUI profile template summary list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createPPSKProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ppsk-profile

Create PPSK profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema PpskProfile

FieldTypeRequiredDescription
profileNamestringyesPPSK Profile Name, should contain 1 to 64 characters.
ppskarray<PpskSetting>yesPPSK List In the PPSK Profile
typeintegernoThis field has been deprecated since version 6.1. PPSK Profile type: 0:PPSK Without RADIUS;Cloud Based Controller only support PPSK Without RADIUS.
rateLimitPPSKRateLimitSettingVOno(PPSKRateLimitSettingVO not expanded; call omada_get_schema "PPSKRateLimitSettingVO")
expirationPPSKExpirationVOno(PPSKExpirationVO not expanded; call omada_get_schema "PPSKExpirationVO")
json
// omada_call_operation
{
  "operationId": "createPPSKProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create PPSK profile template
The interface requires one of the permissions:
Global Site Template Manager Modify

deletePPSKProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ppsk-profile/{profileId}

Delete PPSK profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesPPSK profile Id
json
// omada_call_operation
{
  "operationId": "deletePPSKProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Delete PPSK profile template
The interface requires one of the permissions:
Global Site Template Manager Modify

getPPSKProfileDetailTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ppsk-profile/{profileId}

Get PPSK profile template detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesPPSK profile Id
json
// omada_call_operation
{
  "operationId": "getPPSKProfileDetailTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Get PPSK profile template detail
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyPPSKProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ppsk-profile/{profileId}

Modify PPSK profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesPPSK profile Id

Request body — application/json (required) — schema PpskProfile

FieldTypeRequiredDescription
profileNamestringyesPPSK Profile Name, should contain 1 to 64 characters.
ppskarray<PpskSetting>yesPPSK List In the PPSK Profile
typeintegernoThis field has been deprecated since version 6.1. PPSK Profile type: 0:PPSK Without RADIUS;Cloud Based Controller only support PPSK Without RADIUS.
rateLimitPPSKRateLimitSettingVOno(PPSKRateLimitSettingVO not expanded; call omada_get_schema "PPSKRateLimitSettingVO")
expirationPPSKExpirationVOno(PPSKExpirationVO not expanded; call omada_get_schema "PPSKExpirationVO")
json
// omada_call_operation
{
  "operationId": "modifyPPSKProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify PPSK profile template
The interface requires one of the permissions:
Global Site Template Manager Modify

autoCreatePPSKTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ppsk-profile/generate-psk

Auto Create PSK templates

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema PpskAutoCreateSetting

FieldTypeRequiredDescription
numberintegeryesGenerate Number, should be within the range of 1-1024.
prefixstringyesPSK Name Prefix, should contain 1 to 60 visible ASCII characters.
lengthintegeryesPSK Password Length, should be within the range of 8-63.
vlanintegernoPSK Bound Vlan, should be within the range of 1-4094.
json
// omada_call_operation
{
  "operationId": "autoCreatePPSKTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Auto Create PSK templates
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteAllPPSKProfilesTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ppsk-profiles

Delete All PPSK profile templates

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "deleteAllPPSKProfilesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Delete All PPSK profile templates
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33826 - Failed to delete all PPSK profiles because some PPSK profiles are used on SSIDs.

getPPSKProfilesTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ppsk-profiles

Get PPSK profile templates list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
typequeryintegeryesPPSK Profile type, should be a value as follows: 0: PPSK Without RADIUS; 1: PPSK With Built-In RADIUS
json
// omada_call_operation
{
  "operationId": "getPPSKProfilesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Get PPSK profile templates list
The interface requires one of the permissions:
Global Site Template Manager View Only

getApnProfileListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/apn

Get APN profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getApnProfileListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get APN profile template list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

createApnProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/apn

Create a new APN profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema ApnProfileConfig

FieldTypeRequiredDescription
namestringyesAPN profile name, name should contain 1 to 64 characters.
pdpTypeintegeryesPdpType should be a value as follows: 0: IPv4; 1: IPv6; 2: IPv4 & IPv6.
apnTypeintegeryesApnType should be a value as follows: 0: static; 1: dynamic.
apnstringnoAccess point name, only for apnType static, should contain 1 to 62 characters and should meet the following requirements: 1. Only allow letters, numbers, hyphens and dots. 2. Should not start with "rac", "lac", "sgsn" or "rnc" and end with ".gprs", ignoring case. 3. Should not contain ".-", "-." and spaces.
usernamestringnoUsername should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed.
passwordstringnoPassword should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed.
authenticationintegeryesAuthentication should be a value as follows: 0: None; 1: PAP; 2: CHAP
applyToSIMintegernoWhen the device supports Dual-SIM card, parameter [applyToSim] should be a value as follows: 1: apply to SIM1; 2: apply to SIM2; 3: apply to SIM1 and SIM2.
json
// omada_call_operation
{
  "operationId": "createApnProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new APN profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33506 - This Profile name already exists.
-33553 - The LTE WAN or Cellular WAN port is configured with IPv6 network. Please re-select the APN Profile of IPv6 mode.
-33798 - The number of APN Profile has reached the limit.

deleteApnProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/apn/{profileId}

Delete an exist APN profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesAPN profile ID.
json
// omada_call_operation
{
  "operationId": "deleteApnProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Delete an exist APN profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyApnProfileTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/apn/{profileId}

Modify an exist APN profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesAPN profile ID.

Request body — application/json (required) — schema ApnProfileConfig

FieldTypeRequiredDescription
namestringyesAPN profile name, name should contain 1 to 64 characters.
pdpTypeintegeryesPdpType should be a value as follows: 0: IPv4; 1: IPv6; 2: IPv4 & IPv6.
apnTypeintegeryesApnType should be a value as follows: 0: static; 1: dynamic.
apnstringnoAccess point name, only for apnType static, should contain 1 to 62 characters and should meet the following requirements: 1. Only allow letters, numbers, hyphens and dots. 2. Should not start with "rac", "lac", "sgsn" or "rnc" and end with ".gprs", ignoring case. 3. Should not contain ".-", "-." and spaces.
usernamestringnoUsername should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed.
passwordstringnoPassword should contain 1 to 64 characters, spaces, comma, single quotation marks and double quotation marks are not allowed.
authenticationintegeryesAuthentication should be a value as follows: 0: None; 1: PAP; 2: CHAP
applyToSIMintegernoWhen the device supports Dual-SIM card, parameter [applyToSim] should be a value as follows: 1: apply to SIM1; 2: apply to SIM2; 3: apply to SIM1 and SIM2.
json
// omada_call_operation
{
  "operationId": "modifyApnProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an exist APN profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33506 - This Profile name already exists.
-33553 - The LTE WAN or Cellular WAN port is configured with IPv6 network. Please re-select the APN Profile of IPv6 mode.
-33798 - The number of APN Profile has reached the limit.

listMdnsProfileTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/bonjour-service

Get Bonjour Service Template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "listMdnsProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get Bonjour Service Template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createMdnsProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/bonjour-service

Create new Bonjour Service Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BonjourServiceOpenApiVO

FieldTypeRequiredDescription
namestringyesThe name of Bonjour Service should contain 1 to 64 characters.
serviceIdsarray<string>yesThe Service ID list of Bonjour Service. Service ID is a string in "_A._B.local" format, where "A" can be lowercase letters/numbers/hyphens (-)/underscore (_), and "B" should be lowercase letters. For example: _a1._b.local.Up to 3 entries are allowed for the serviceIds list.
json
// omada_call_operation
{
  "operationId": "createMdnsProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new Bonjour Service Template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33756 - This Bonjour Service name already exists.
-33757 - The number of custom Bonjour Service has reached the limit.

deleteMdnsProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/bonjour-service/{id}

Delete an existing Bonjour Service Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesBonjour Service Template ID
json
// omada_call_operation
{
  "operationId": "deleteMdnsProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete an existing Bonjour Service Template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33759 - Build-in Bonjour Service cannot be edited or deleted.
-33763 - Bonjour Service is used by mDNS rule, cannot be deleted.

modifyMdnsProfileTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/bonjour-service/{id}

Modify an existing Bonjour Service Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesBonjour Service Template ID

Request body — application/json (required) — schema BonjourServiceOpenApiVO

FieldTypeRequiredDescription
namestringyesThe name of Bonjour Service should contain 1 to 64 characters.
serviceIdsarray<string>yesThe Service ID list of Bonjour Service. Service ID is a string in "_A._B.local" format, where "A" can be lowercase letters/numbers/hyphens (-)/underscore (_), and "B" should be lowercase letters. For example: _a1._b.local.Up to 3 entries are allowed for the serviceIds list.
json
// omada_call_operation
{
  "operationId": "modifyMdnsProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing Bonjour Service Template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33756 - This Bonjour Service name already exists.
-33758 - One or more Bonjour Services do not exist.
-33759 - Build-in Bonjour Service cannot be edited or deleted.

getGroupProfilesTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/groups

Get group profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getGroupProfilesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get group profile template list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

createGroupProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/groups

Create a new group profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateGroupOpenApiVO

FieldTypeRequiredDescription
namestringyesGroup profile name. Name should contain 1 to 64 characters
typeintegeryesType of group profile, type should be a value as follows: 0: IP Group; 1: IP Port Group; 2: MAC Group; 3: IPv6 Group; 4: IPv6 Port Group; 5: Country Group; 7: Domain Group;
ipListarray<IPSubnetsOpenApiVO>noIP subnet info list. [type] value of 0 or 1 is required
ipv6Listarray<IPv6SubnetsOpenApiVO>noIPv6 subnet info list. [type] value of 3 or 4 is required
portTypeintegernoPort type, portType should be a value as follows: 0: port range 1: port mask. [type] value of 1 or 4 is required
portListarray<string>noPort list. [portType] value of 0 is required. PortList should be within the range of 0-65535, e.g. 80 or 80-100
portMaskListarray<PortMaskOpenApiVO>noPort mask list. [portType] value of 1 is required
macAddressListarray<CreateMacAddressOpenApiVO>noMAC address list. [type] value of 2 is required
countryListarray<string>noCountry list. [type] value of 5 is required. For the values of countryList, refer to 'Country Name' section 5.4.1 of the Open API Access Guide
descriptionstringnoDescription should contain 1 to 256 characters. [type] value of 5 is required
domainNamePortarray<DomainOpenApiVO>noDomain info. Handle situations where there are ports, [type] value of 7 is required
json
// omada_call_operation
{
  "operationId": "createGroupProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new group profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33702 - This group name already exists.
-33706 - The number of rules has reached the limit.
-33707 - This MAC List already exists.
-33708 - The number of addresses has reached the limit.
-33724 - The number of IpGroups has reached the limit.
-33725 - The number of IpPortGroups has reached the limit.
-33726 - The number of Ips has reached the limit of IpGroup.
-33727 - The number of Ips has reached the limit of IpPortGroup.
-33728 - The number of Ports has reached the limit of IpPortGroup.
-33749 - Duplicate MAC addresses exist in the MAC address list of the MAC group.
-33760 - The number of IP addresses in the IPv6 group has reached the limit.
-33761 - The number of IPv6 groups has reached the limit.
-33765 - The number of IP addresses in the IPv6 Port group has reached the limit.
-33766 - The number of Ports has reached the limit of Ipv6PortGroup.
-33767 - The number of IPv6 port groups has reached the limit.
-33770 - The number of Country groups has reached the limit.
-33815 - The number of domain groups has reached the limit.
-33817 - The number of domain names has reached the limit of domain group.
-33819 - This domain group has wrong type of domain.
-33822 - This domain group has wrong domain or invalid format port.

getGroupProfilesByTypeTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/groups/{groupType}

Get group profile template list by type

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
groupTypepathstringyesType of group profile, 0:IP Group; 1:IP Port Group; 2:Mac Group; 3:IPv6 Group; 4:IPv6 Port Group; 5:Country Group; 7:Domain Group.
json
// omada_call_operation
{
  "operationId": "getGroupProfilesByTypeTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "groupType": "<groupType>"
  }
}
Details, permissions and error codes

Get a certain type of group profile template list of the site with the given omadacId and siteId and type.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

deleteGroupProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/groups/{groupType}/{groupId}

Delete an exist group profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
groupTypepathstringyesType of group profile, 0:IP Group; 1:IP Port Group; 2:Mac Group; 3:IPv6 Group; 4:IPv6 Port Group; 5:Country Group; 7:Domain Group.
groupIdpathstringyesGroup profile id.
json
// omada_call_operation
{
  "operationId": "deleteGroupProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "groupType": "<groupType>",
    "groupId": "<groupId>"
  }
}
Details, permissions and error codes

Delete an exist group profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33703 - This group does not exist.
-33704 - This group does not exist.
-33705 - Failed to delete this group because it is used in wireless network settings.
-33717 - This IP group has been used in the ACL rule.
-33718 - This IP-Port group has been used in the ACL rule.
-33719 - This MAC group has been used in the ACL rule.
-33720 - This IP group has been used in URL filtering rule.
-33721 - This IP group has been used in Transmission settings.
-33729 - Default IpGroup not allowed to be edited.
-33741 - This IP-Port group has been used in Policy Routing.
-33762 - This IPv6 group has been used in QoS class rule.
-33764 - This IP group has been used in QoS class rule.
-33768 - This IPv6 group has been used in the ACL rule.
-33769 - This IPv6 port group has been used in the ACL rule.
-33771 - This Country group has been used in the ACL rule.
-33775 - Cannot delete the MAC group because it is used in the MAC Filtering.
-33816 - Default domain group not allowed to be edited.
-33818 - This domain group has been used in the ACL rule.

modifyGroupProfileTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/groups/{groupType}/{groupId}

Modify an exist group profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
groupTypepathstringyesType of group profile, 0:IP Group; 1:IP Port Group; 2:Mac Group; 3:IPv6 Group; 4:IPv6 Port Group; 5:Country Group; 7:Domain Group.
groupIdpathstringyesGroup profile id.

Request body — application/json (required) — schema CreateGroupOpenApiVO

FieldTypeRequiredDescription
namestringyesGroup profile name. Name should contain 1 to 64 characters
typeintegeryesType of group profile, type should be a value as follows: 0: IP Group; 1: IP Port Group; 2: MAC Group; 3: IPv6 Group; 4: IPv6 Port Group; 5: Country Group; 7: Domain Group;
ipListarray<IPSubnetsOpenApiVO>noIP subnet info list. [type] value of 0 or 1 is required
ipv6Listarray<IPv6SubnetsOpenApiVO>noIPv6 subnet info list. [type] value of 3 or 4 is required
portTypeintegernoPort type, portType should be a value as follows: 0: port range 1: port mask. [type] value of 1 or 4 is required
portListarray<string>noPort list. [portType] value of 0 is required. PortList should be within the range of 0-65535, e.g. 80 or 80-100
portMaskListarray<PortMaskOpenApiVO>noPort mask list. [portType] value of 1 is required
macAddressListarray<CreateMacAddressOpenApiVO>noMAC address list. [type] value of 2 is required
countryListarray<string>noCountry list. [type] value of 5 is required. For the values of countryList, refer to 'Country Name' section 5.4.1 of the Open API Access Guide
descriptionstringnoDescription should contain 1 to 256 characters. [type] value of 5 is required
domainNamePortarray<DomainOpenApiVO>noDomain info. Handle situations where there are ports, [type] value of 7 is required
json
// omada_call_operation
{
  "operationId": "modifyGroupProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "groupType": "<groupType>",
    "groupId": "<groupId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an exist group profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33702 - This group name already exists.
-33707 - This MAC List already exists.
-33729 - Default IpGroup not allowed to be edited.
-33749 - Duplicate MAC addresses exist in the MAC address list of the MAC group.
-33816 - Default domain group not allowed to be edited.
-33819 - This domain group has wrong type of domain.
-33822 - This domain group has wrong domain or invalid format port.

getLdapProfileListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/ldap

Get LDAP profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getLdapProfileListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get LDAP profile template list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

createLdapProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/ldap

Create a new LDAP profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateLdapProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesLDAP profile name. Name should contain 1 to 64 characters
statusbooleanyesLDAP profile enable status
bindTypeintegeryesType of LDAP bind. BindType should be a value as follows: 0: Simple Mode; 1: Anonymous Mode; 2: Regular Mode
serverstringyesLDAP server address
dstPortintegeryesLDAP server listening port. dstPort should be within the range of 0-65535. When SSL is not enabled, it is generally 389, and when SSL is enabled, it is generally 636
useSslbooleanyesLDAP server enable ssl status
cnstringyesLDAP server common name, for example: cn, uid. Cn should contain 1 to 64 characters
baseDnstringyesLDAP server base distinguish name, for example: dc=xxx,dc=com. BaseDn should contain 1 to 512 characters.
groupDnstringnoLDAP server group distinguish name, optional when parameter [type] is 1 or 2. For example: ou=xxx,dc=xxx,dc=com. GroupDn should contain 1 to 512 characters
filterstringnoAdditional filter, optional when parameter [type] is 1 or 2. For example: ou=xxx. Filter should contain 1 to 512 characters
regularDnstringnoRegular Dn, required when parameter [type] is 2. RegularDn should contain 1 to 256 characters
regularPasswordstringnoRegular Password, required when parameter [type] is 2. RegularPassword should contain 1 to 256 characters
json
// omada_call_operation
{
  "operationId": "createLdapProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new LDAP profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-43401 - The LDAP profile does not exist.
-43402 - The profile name already exists.

deleteLdapProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/ldap/{ldapProfileId}

Delete an exist LDAP profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ldapProfileIdpathstringyesLDAP profile ID.
json
// omada_call_operation
{
  "operationId": "deleteLdapProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ldapProfileId": "<ldapProfileId>"
  }
}
Details, permissions and error codes

Delete an exist LDAP profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyLdapProfileTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/ldap/{ldapProfileId}

Modify an exist LDAP profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ldapProfileIdpathstringyesLDAP profile ID.

Request body — application/json (required) — schema CreateLdapProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesLDAP profile name. Name should contain 1 to 64 characters
statusbooleanyesLDAP profile enable status
bindTypeintegeryesType of LDAP bind. BindType should be a value as follows: 0: Simple Mode; 1: Anonymous Mode; 2: Regular Mode
serverstringyesLDAP server address
dstPortintegeryesLDAP server listening port. dstPort should be within the range of 0-65535. When SSL is not enabled, it is generally 389, and when SSL is enabled, it is generally 636
useSslbooleanyesLDAP server enable ssl status
cnstringyesLDAP server common name, for example: cn, uid. Cn should contain 1 to 64 characters
baseDnstringyesLDAP server base distinguish name, for example: dc=xxx,dc=com. BaseDn should contain 1 to 512 characters.
groupDnstringnoLDAP server group distinguish name, optional when parameter [type] is 1 or 2. For example: ou=xxx,dc=xxx,dc=com. GroupDn should contain 1 to 512 characters
filterstringnoAdditional filter, optional when parameter [type] is 1 or 2. For example: ou=xxx. Filter should contain 1 to 512 characters
regularDnstringnoRegular Dn, required when parameter [type] is 2. RegularDn should contain 1 to 256 characters
regularPasswordstringnoRegular Password, required when parameter [type] is 2. RegularPassword should contain 1 to 256 characters
json
// omada_call_operation
{
  "operationId": "modifyLdapProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ldapProfileId": "<ldapProfileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an exist LDAP profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-43404 - Cannot delete the LDAP profile. It is being used in L2TP/PPTP/IPSec/OpenVPN.

getRadiusProfileListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/radius

Get RADIUS profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getRadiusProfileListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get RADIUS profile template list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only

createRadiusProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/radius

Create a new RADIUS profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateRadiusProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesRadius profile name should contain 1 to 64 characters
authServerarray<RadiusAuthServerOpenApiVO>yesRadius authentication server list
radiusAccountingEnablebooleanyesRadius accounting enable status
interimUpdateEnablebooleannoWhen radius accounting enables, interval update enable status
interimUpdateIntervalintegernoWhen interval update enables, interval update duration, unit: second. InterimUpdateInterval should be within the range of 60-86400
acctServerarray<RadiusAcctServerOpenApiVO>noRadius accounting server list, valid when parameter [radiusAccountingEnable] is true
wirelessVlanAssignmentbooleanyesVLAN assignment for wireless network enable status
coaEnablebooleannoRadius CoA enable status
coaPasswordstringnoRadius CoA password, required when parameter [coaEnable] is true. CoaPassword should contain 1 to 128 characters. The question mark (?), double quote ("), percent sign (%), and backslash (\) may cause the RADIUS function to fail and are not recommended.
requireMessageAuthenticatorbooleannoMessage-Authenticator enable status
json
// omada_call_operation
{
  "operationId": "createRadiusProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new RADIUS profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-34000 - Interim Update Interval ranges from 60 to 86400.
-34002 - Accounting port number ranges from 60 to 86400.
-34003 - Enter the shared secret key of the accounting server using 1-128 printable ASCII characters (including the space).
-34004 - This RADIUS profile already exists.
-34011 - Invalid IP address of the RADIUS server.
-34011 - Invalid IP address of the RADIUS server.
-34014 - The number of RADIUS profiles has reached the limit.

getRadiusUserListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/radius-server/users

Get Build-in RADIUS profile user template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.usernamequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
json
// omada_call_operation
{
  "operationId": "getRadiusUserListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get Build-in RADIUS profile user template list of the site with the given omadacId and siteId. Cloud Based Controller does not support built-in radius function, you cannot call this interface through openAPI on Cloud Based Controller.
The interface requires one of the permissions:
Global Site Template Manager View Only

createRadiusUserTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/radius-server/users

Create a new Build-in RADIUS profile user template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateRadiusUserOpenApiVO

FieldTypeRequiredDescription
typeintegeryesType of Build-in RADIUS profile user, 0: user auth; 1: MAC auth
userInfoRadiusUserInfoOpenApiVOno(RadiusUserInfoOpenApiVO not expanded; call omada_get_schema "RadiusUserInfoOpenApiVO")
macAddressstringnoMAC address, required when parameter [type] is 1. Should be a valid MAC address format
upRateLimitintegernoBuild-in RADIUS profile user uplink rate limit, unit: Kbps. UpRateLimit should be within the range of 1-10485760
downRateLimitintegernoBuild-in RADIUS profile user downlink rate limit, unit: Kbps. DownRateLimit should be within the range of 1-10485760
upLimitintegernoBuild-in RADIUS profile user uplink traffic limit, unit: MB. UpLimit should be within the range of 1-10485760
downLimitintegernoBuild-in RADIUS profile user downlink traffic limit, unit: MB. DownLimit should be within the range of 1-10485760
vlanIdintegernoVLAN ID. VlanId should be within the range of 1-4096
timeoutintegernoSession timeout, unit: second
descriptionstringnoDescription of radius user, should contain 1 to 256 characters
json
// omada_call_operation
{
  "operationId": "createRadiusUserTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get Build-in RADIUS profile user template list of the site with the given omadacId and siteId. Cloud Based Controller does not support built-in radius function, you cannot call this interface through openAPI on Cloud Based Controller.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34024 - The RADIUS user name already exists.
-34025 - The number of RADIUS users has reached the limit.
-34030 - The RADIUS user name exists in other sites. Please contact the administrator if necessary.

deleteRadiusUserTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/radius-server/users/{userId}

Delete an exist Build-in RADIUS profile user template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
userIdpathstringyesBuild-in RADIUS profile user Id
json
// omada_call_operation
{
  "operationId": "deleteRadiusUserTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "userId": "<userId>"
  }
}
Details, permissions and error codes

Get Build-in RADIUS profile user template list of the site with the given omadacId and siteId. Cloud Based Controller does not support built-in radius function, you cannot call this interface through openAPI on Cloud Based Controller.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyRadiusUserTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/radius-server/users/{userId}

Modify an exist Build-in RADIUS profile user template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
userIdpathstringyesBuild-in RADIUS profile user Id

Request body — application/json (required) — schema CreateRadiusUserOpenApiVO

FieldTypeRequiredDescription
typeintegeryesType of Build-in RADIUS profile user, 0: user auth; 1: MAC auth
userInfoRadiusUserInfoOpenApiVOno(RadiusUserInfoOpenApiVO not expanded; call omada_get_schema "RadiusUserInfoOpenApiVO")
macAddressstringnoMAC address, required when parameter [type] is 1. Should be a valid MAC address format
upRateLimitintegernoBuild-in RADIUS profile user uplink rate limit, unit: Kbps. UpRateLimit should be within the range of 1-10485760
downRateLimitintegernoBuild-in RADIUS profile user downlink rate limit, unit: Kbps. DownRateLimit should be within the range of 1-10485760
upLimitintegernoBuild-in RADIUS profile user uplink traffic limit, unit: MB. UpLimit should be within the range of 1-10485760
downLimitintegernoBuild-in RADIUS profile user downlink traffic limit, unit: MB. DownLimit should be within the range of 1-10485760
vlanIdintegernoVLAN ID. VlanId should be within the range of 1-4096
timeoutintegernoSession timeout, unit: second
descriptionstringnoDescription of radius user, should contain 1 to 256 characters
json
// omada_call_operation
{
  "operationId": "modifyRadiusUserTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "userId": "<userId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get Build-in RADIUS profile user template list of the site with the given omadacId and siteId. Cloud Based Controller does not support built-in radius function, you cannot call this interface through openAPI on Cloud Based Controller.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34024 - The RADIUS user name already exists.
-34026 - The RADIUS user does not exist.
-34030 - The RADIUS user name exists in other sites. Please contact the administrator if necessary.

deleteRadiusProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/radius/{radiusProfileId}

Delete an exist RADIUS profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
radiusProfileIdpathstringyesRadius profile Id
json
// omada_call_operation
{
  "operationId": "deleteRadiusProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "radiusProfileId": "<radiusProfileId>"
  }
}
Details, permissions and error codes

Delete an exist RADIUS profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-34009 - The RADIUS profile cannot be deleted because it is applied in MAC-Based Authentication.
-34010 - The RADIUS profile cannot be deleted because it is applied in Portal Authentication.
-34012 - Failed to delete this RADIUS profile because it has been used in 802.1X authentication.
-34013 - Failed to delete this RADIUS profile because it has been used in SSID.
-34023 - Failed to delete built-in RADIUS profile.
-43001 - Failed to delete this RADIUS profile because it is already occupied by SSL VPN.

modifyRadiusProfileTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/radius/{radiusProfileId}

Modify an exist RADIUS profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
radiusProfileIdpathstringyesRadius profile Id

Request body — application/json (required) — schema CreateRadiusProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesRadius profile name should contain 1 to 64 characters
authServerarray<RadiusAuthServerOpenApiVO>yesRadius authentication server list
radiusAccountingEnablebooleanyesRadius accounting enable status
interimUpdateEnablebooleannoWhen radius accounting enables, interval update enable status
interimUpdateIntervalintegernoWhen interval update enables, interval update duration, unit: second. InterimUpdateInterval should be within the range of 60-86400
acctServerarray<RadiusAcctServerOpenApiVO>noRadius accounting server list, valid when parameter [radiusAccountingEnable] is true
wirelessVlanAssignmentbooleanyesVLAN assignment for wireless network enable status
coaEnablebooleannoRadius CoA enable status
coaPasswordstringnoRadius CoA password, required when parameter [coaEnable] is true. CoaPassword should contain 1 to 128 characters. The question mark (?), double quote ("), percent sign (%), and backslash (\) may cause the RADIUS function to fail and are not recommended.
requireMessageAuthenticatorbooleannoMessage-Authenticator enable status
json
// omada_call_operation
{
  "operationId": "modifyRadiusProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "radiusProfileId": "<radiusProfileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an exist RADIUS profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-34000 - Interim Update Interval ranges from 60 to 86400.
-34002 - Accounting port number ranges from 60 to 86400.
-34003 - Enter the shared secret key of the accounting server using 1-128 printable ASCII characters (including the space).
-34004 - This RADIUS profile already exists.
-34005 - This RADIUS profile does not exist.
-34011 - Invalid IP address of the RADIUS server.
-34011 - Invalid IP address of the RADIUS server.
-34016 - Unable to set the authentication server URL because the profile is applied in authentications that do not support authentication server URL.
-34018 - Failed to modify this RADIUS profile because it has been used in 802.1X authentication.
-34022 - Failed to modify built-in RADIUS profile.
-34027 - The built-in server is being used, failed to stop built-in RADIUS server.
-43006 - The RADIUS profile cannot add more than 2 RADIUS servers because it is used by SSL VPN.
-43012 - The number of Accounting Servers in the RADIUS profile should not be greater than the number of Authentication Servers because the RADIUS profile is used by the SSL VPN server.

listTemplateServiceType ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/service-type

Get siteTemplate's Gateway QoS Service list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "listTemplateServiceType",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's Gateway QoS Service list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createTemplateServiceType ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/service-type

Create siteTemplate's new Gateway QoS Service

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema GatewayQosServiceOpenApiVO

FieldTypeRequiredDescription
namestringyesThe name of Gateway QoS Service should contain 1 to 64 characters.
protocolintegeryesThe protocol of Gateway QoS Service should be a value as follows: 0: TCP, 1: UDP, 2: TCP/UDP, 3: ICMP, 4: Other.
sourceStartPortintegernoThe start port of Source Port Range. It must be less than the end port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP).
sourceEndPortintegernoThe end port of Source Port Range. It must be more than the start port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP).
destStartPortintegernoThe start port of Destination Port Range. It must be less than the end port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP).
destEndPortintegernoThe end port of Destination Port Range. It must be more than the start port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP).
typeintegernoThe type cannot be null and should be within the range of 0-255 when protocol is 3(ICMP).
codeintegernoThe code cannot be null and should be within the range of 0-255 when protocol is 3(ICMP).
protoNumintegernoThe protoNum cannot be null and should be within the range of 1-255 when protocol is 4(Other).
descriptionstringnoThe description of Gateway QoS Service should contain 0 to 128 characters.
json
// omada_call_operation
{
  "operationId": "createTemplateServiceType",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create siteTemplate's new Gateway QoS Service.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43300 - The number of service types has reached the limit.

getTemplateServiceTypeSummary ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/service-type-summary

Get all Gateway QoS Service's ID and name info in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getTemplateServiceTypeSummary",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get all Gateway QoS Service's ID and name info in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager View Only

deleteTemplateServiceType ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/service-type/{id}

Delete an existing Gateway QoS Service in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesGateway QoS Service ID
json
// omada_call_operation
{
  "operationId": "deleteTemplateServiceType",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete an existing Gateway QoS Service in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43302 - The service type is used by the class rule.
-43303 - Cannot modify or delete the default service type.

modifyTemplateServiceType ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/service-type/{id}

Modify an existing Gateway QoS Service in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesGateway QoS Service ID

Request body — application/json (required) — schema GatewayQosServiceOpenApiVO

FieldTypeRequiredDescription
namestringyesThe name of Gateway QoS Service should contain 1 to 64 characters.
protocolintegeryesThe protocol of Gateway QoS Service should be a value as follows: 0: TCP, 1: UDP, 2: TCP/UDP, 3: ICMP, 4: Other.
sourceStartPortintegernoThe start port of Source Port Range. It must be less than the end port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP).
sourceEndPortintegernoThe end port of Source Port Range. It must be more than the start port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP).
destStartPortintegernoThe start port of Destination Port Range. It must be less than the end port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP).
destEndPortintegernoThe end port of Destination Port Range. It must be more than the start port. It should be within the range of 0-65535 when protocol is 0(TCP), 1(UDP) or 2(TCP/UDP).
typeintegernoThe type cannot be null and should be within the range of 0-255 when protocol is 3(ICMP).
codeintegernoThe code cannot be null and should be within the range of 0-255 when protocol is 3(ICMP).
protoNumintegernoThe protoNum cannot be null and should be within the range of 1-255 when protocol is 4(Other).
descriptionstringnoThe description of Gateway QoS Service should contain 0 to 128 characters.
json
// omada_call_operation
{
  "operationId": "modifyTemplateServiceType",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing Gateway QoS Service in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43301 - The service type does not exist.
-43303 - Cannot modify or delete the default service type.

getWifiCallingProfilesTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/wifi-calling

Get wifi calling profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getWifiCallingProfilesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get wifi calling profile template list of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

createWifiCallingProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/wifi-calling

Create a new wifi calling profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateWifiCallingProfileOpenApiVO

FieldTypeRequiredDescription
namestringnoWi-Fi Calling Profile Name. It should contain 1 to 32 UTF-8 characters.
descriptionstringnoDescription of the Wi-Fi calling profile. It should contain 1 to 32 UTF-8 characters.
carrierListarray<CarrierOpenApiVO>nocarrierList
json
// omada_call_operation
{
  "operationId": "createWifiCallingProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new wifi calling profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-44900 - The Wi-Fi calling profile already exists.
-44901 - The number of ePDGs has exceeded the limit.

deleteWifiCallingProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/wifi-calling/{profileId}

Delete an exist wifi calling profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyeswifi calling profile ID.
json
// omada_call_operation
{
  "operationId": "deleteWifiCallingProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Delete an exist wifi calling profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-44900 - The Wi-Fi calling profile already exists.

modifyWifiCallingProfileTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/wifi-calling/{profileId}

Modify a wifi calling profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesWifi calling profile ID.

Request body — application/json (required) — schema CreateWifiCallingProfileOpenApiVO

FieldTypeRequiredDescription
namestringnoWi-Fi Calling Profile Name. It should contain 1 to 32 UTF-8 characters.
descriptionstringnoDescription of the Wi-Fi calling profile. It should contain 1 to 32 UTF-8 characters.
carrierListarray<CarrierOpenApiVO>nocarrierList
json
// omada_call_operation
{
  "operationId": "modifyWifiCallingProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a wifi calling profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-44900 - The Wi-Fi calling profile already exists.
-44901 - The number of ePDGs has exceeded the limit.

copyWifiCallingProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/profiles/wifi-calling/{profileId}/copy

Copy wifi calling profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyes

Request body — application/json (required) — schema CopyWifiCallingProfileOpenApiVO

FieldTypeRequiredDescription
namestringnoWi-Fi Calling Profile Name
json
// omada_call_operation
{
  "operationId": "copyWifiCallingProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Copy wifi calling profile template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-44900 - The Wi-Fi calling profile already exists.
-44901 - The number of ePDGs has exceeded the limit.

deleteRateLimitProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rate-limit-profile/{profileId}

Delete rate limit profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesProfile ID
json
// omada_call_operation
{
  "operationId": "deleteRateLimitProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Delete rate limit profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33732 - The Rate Limit profile does not exist.
-33736 - The default Rate Limit profile cannot be deleted.
-33737 - Failed to delete the Rate Limit profile because the profile is used by Voucher Code %code%.
-33739 - Failed to delete the Rate Limit profile because the profile is used by Local User Account %username%.
-33740 - Failed to delete the Rate Limit profile because the profile is used by the client %MACAddress%.

modifyRateLimitProfileTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rate-limit-profile/{profileId}

Modify rate limit profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesProfile ID

Request body — application/json (required) — schema UpdateRateLimitProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesRate limit profile name should contain 1 to 64 characters.
downLimitEnablebooleanyesWhether to enable download limit
downLimitintegernoDownload limit(Unit: Kbps), this field is required when parameter [downLimitEnable] is true.
upLimitEnablebooleanyesWhether to enable upload limit
upLimitintegernoUpload limit(Unit: Kbps), this field is required when parameter [upLimitEnable] is true.
json
// omada_call_operation
{
  "operationId": "modifyRateLimitProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify rate limit profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33732 - The Rate Limit profile does not exist.
-33733 - This Rate Limit profile already exists.

getRateLimitProfileListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rate-limit-profiles

Get rate limit profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getRateLimitProfileListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get rate limit profile template list
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

createRateLimitProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rate-limit-profiles

Create rate limit profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateRateLimitProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesRate limit profile name should contain 1 to 64 characters.
downLimitEnablebooleanyesWhether to enable download limit
downLimitintegernoDownload limit(Unit: Kbps), this field is required when parameter [downLimitEnable] is true; It should be within the range of 1–10485760.
upLimitEnablebooleanyesWhether to enable upload limit
upLimitintegernoUpload limit(Unit: Kbps), this field is required when parameter [upLimitEnable] is true; It should be within the range of 1–10485760.
json
// omada_call_operation
{
  "operationId": "createRateLimitProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create rate limit profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33733 - This Rate Limit profile already exists.
-33734 - The number of Rate Limit profiles has reached the limit.

deleteTimeRangeProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/time-range-profile/{profileId}

Delete time range profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesProfile ID
json
// omada_call_operation
{
  "operationId": "deleteTimeRangeProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Delete time range profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33701 - Failed to delete this time range profile because it is applied in wireless networks.
-33710 - This profile does not exist.
-33722 - Cannot delete the time range. It is being used in PoE Schedule.
-33754 - Failed to delete this time range profile because it is applied in ACL.
-33776 - Failed to delete this time range profile because it is applied in IPS.
-33853 - Failed to delete this time range profile because it is applied in RRM settings.
-34555 - Cannot delete the time range. It is being used in Port Schedule.
-35106 - Failed to delete this time range profile because it is applied in DPI.

modifyTimeRangeProfileTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/time-range-profile/{profileId}

Modify time range profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesProfile ID

Request body — application/json (required) — schema UpdateTimeRangeProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesTime range profile name should contain 1 to 64 characters.
dayModeintegeryesTime range profile day mode; 0: Every Day, 1: Weekday, 2: Weekend, 3: Customized
customDayModeCustomDayModeOpenApiVOno(CustomDayModeOpenApiVO not expanded; call omada_get_schema "CustomDayModeOpenApiVO")
timeListarray<ScheduleTimeOpenApiVO>yesTime range profile schedule time config
json
// omada_call_operation
{
  "operationId": "modifyTimeRangeProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify time range profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33709 - This profile already exists.
-33716 - End time should be later than start time.
-33731 - Time range is not allowed to be empty.
-33748 - The number of time range per entry has reached the limit.
-33799 - Invalid schedule time param of time range profile

getTimeRangeListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/time-range-profiles

Get time range profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getTimeRangeListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get time range profile template list
The interface requires one of the permissions:
Global Site Template Manager View Only

createTimeRangeProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/time-range-profiles

Create time range profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateTimeRangeProfileOpenApiVO

FieldTypeRequiredDescription
namestringyesTime range profile name should contain 1 to 64 characters.
dayModeintegeryesTime range profile day mode; It should be a value as follows: 0: Every Day, 1: Weekday, 2: Weekend, 3: Customized
customDayModeCustomDayModeOpenApiVOno(CustomDayModeOpenApiVO not expanded; call omada_get_schema "CustomDayModeOpenApiVO")
timeListarray<ScheduleTimeOpenApiVO>yesTime range profile schedule time config
json
// omada_call_operation
{
  "operationId": "createTimeRangeProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create time range profile template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33709 - This profile already exists.
-33716 - End time should be later than start time.
-33723 - The number of profiles has reached the limit.
-33731 - Time range is not allowed to be empty.
-33748 - The number of time range per entry has reached the limit.
-33799 - Invalid schedule time param of time range profile

Released under the MIT License. Not affiliated with or endorsed by TP-Link.